!trPFMasOMDqcwYBXEy:matrix.org

CadQuery

869 Members
https://github.com/CadQuery/cadquery7 Servers

Load older messages


SenderMessageTime
31 Dec 2023
@_discord_393449420391448577:t2bot.ioapirkle joined the room.16:44:56
1 Jan 2024
@_discord_425108579540795393:t2bot.ioshehabattia96 Happy New Year everyone!! 01:08:17
@_discord_682293183379406854:t2bot.iostrayzor joined the room.03:25:12
@_discord_958400055889510440:t2bot.ioclairbee Quick show of hands: 👍 if you use CadQuery on Windows, 👎 if you don't 09:50:49
@_discord_958400055889510440:t2bot.ioclairbee * Quick show of hands to estimate the need to support Windows: 👍 if you use CadQuery on Windows, 👎 if you don't 09:59:45
@linus:schreibt.jetzt@linus:schreibt.jetzt left the room.11:19:47
@matrix638:matrix.orgmatrix638 joined the room.12:47:02
@_discord_1037662259587063879:t2bot.iod_eepdreamergrafik.png
Download grafik.png
17:52:59
@_discord_1037662259587063879:t2bot.iod_eepdreamer I look at the "more holes" example from the Cadquery quickstart and find it very elegant. However, I have a hard time when I try to generalize it. More specifically, I would like to replace the countersunk boreholes with more complex forms needing more than one command. As a simple example, think of a simple hole, combined with a triangular one, like in the screenshot. I found a way of doing that, but it's quite clumsy (see below). Is there a better, less verbose way?
from ocp_vscode import *
import cadquery as cq

height = 60.0
width = 80.0
thickness = 10.0
diameter = 22.0
padding = 12.0

def get_objects(wp):
return [x.objects[0] for x in wp.all()]

# make the base
result = (
cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z")
.workplane()
.hole(diameter)
)

locations = get_objects(
result.faces(">Z")
.workplane()
.rect(height - padding, width - padding, forConstruction=True)
.vertices()
)

result = result.newObject(locations).hole(4)
result = result.newObject(locations).polygon(3, 6.5).cutThruAll()

# Render the solid
show_object(result)
17:52:59
@_discord_1037662259587063879:t2bot.iod_eepdreamer * I look at the "more holes" example from the Cadquery quickstart and find it very elegant. However, I have a hard time when I try to generalize it. More specifically, I would like to replace the countersunk boreholes with more complex forms needing more than one command. As a simple example, think of a simple hole, combined with a triangular one, like in the screenshot. I found a way of doing that, but it's quite clumsy (see below). Is there a better, less verbose way?
from ocp_vscode import *
import cadquery as cq

height = 60.0
width = 80.0
thickness = 10.0
diameter = 22.0
padding = 12.0

def get_objects(wp):
return [x.objects[0] for x in wp.all()]

result = (
cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z")
.workplane()
.hole(diameter)
)

locations = get_objects(
result.faces(">Z")
.workplane()
.rect(height - padding, width - padding, forConstruction=True)
.vertices()
)

result = result.newObject(locations).hole(4)
result = result.newObject(locations).polygon(3, 6.5).cutThruAll()

# Render the solid
show_object(result)
17:53:19
@_discord_1037662259587063879:t2bot.iod_eepdreamer * I look at the "more holes" example from the Cadquery quickstart and find it very elegant. However, I have a hard time when I try to generalize it. More specifically, I would like to replace the countersunk boreholes with more complex forms needing more than one command. As a simple example, think of a simple hole, combined with a triangular one, like in the screenshot. I found a way of doing that, but it's quite clumsy (see below). Is there a better, less verbose way?

from ocp_vscode import *
import cadquery as cq

height = 60.0
width = 80.0
thickness = 10.0
diameter = 22.0
padding = 12.0

def get_objects(wp):
return [x.objects[0] for x in wp.all()]

result = (
cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z")
.workplane()
.hole(diameter)
)

locations = get_objects(
result.faces(">Z")
.workplane()
.rect(height - padding, width - padding, forConstruction=True)
.vertices()
)

result = result.newObject(locations).hole(4)
result = result.newObject(locations).polygon(3, 6.5).cutThruAll()

show_object(result)
17:53:48
@_discord_515832171047550976:t2bot.iofelix.haeberle Grid Locations 20:48:13
2 Jan 2024
@_discord_958400055889510440:t2bot.ioclairbee Quick show of hands to estimate the need 07:16:41
@_discord_1100329167058378835:t2bot.iomixer3d joined the room.11:23:27
@_discord_1100329167058378835:t2bot.iomixer3d changed their display name from onlyopen to mixer3d.11:24:08
@_discord_929764787682963486:t2bot.iolucandia. changed their display name from lmonari to lucandia..16:26:37
@_discord_690864330551328798:t2bot.ioweitzj joined the room.19:44:49
3 Jan 2024
@_discord_716720451153297499:t2bot.iorawwerks joined the room.05:21:11
@_discord_515832171047550976:t2bot.iofelix.haeberle Nice to see so many people jumping into this space 17:12:17
4 Jan 2024
@_discord_629036863977422869:t2bot.iolishine1 joined the room.10:23:48
@_discord_1192466041360629810:t2bot.ioregattaguru_70755 joined the room.13:55:05
@_discord_1177689617521188924:t2bot.ioregattaguru joined the room.13:57:37
@_discord_1191889870625456139:t2bot.iojackfairhaven joined the room.15:11:09
5 Jan 2024
@_discord_1063508683406987356:t2bot.iomeneelyt joined the room.12:17:21
@_discord_900568854047100928:t2bot.ioewald7730 joined the room.15:08:42
@_discord_515832171047550976:t2bot.iofelix.haeberle It dimensions are folded and threaded - so as much space as we need 🥳 17:28:29
@_discord_493464753323114505:t2bot.iomofef joined the room.22:26:10
@_discord_343251468335185923:t2bot.iorlane joined the room.23:59:40
6 Jan 2024
@eyjhb:eyjhb.dkeyJhb set a profile picture.14:00:49
@_discord_298140820572340235:t2bot.ioring_raitch joined the room.19:19:00

Show newer messages


Back to Room ListRoom Version: 6